RuntimeLoggerLog (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.RuntimeLoggerLog class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class RuntimeLoggerLog

    java.lang.Object
      org.apache.velocity.runtime.log.Log
          org.apache.velocity.runtime.log.RuntimeLoggerLog

Deprecated. This will be removed along with the RuntimeLogger interface.

public class RuntimeLoggerLog
extends Log

A temporary RuntimeLogger wrapper to make the deprecation of UberspectLoggable.setRuntimeLogger(RuntimeLogger) feasible. This overrides all Log methods, either throwing UnsupportedOperationExceptions or passing things off to the theoretical RuntimeLogger used to create it. Oh, and all the isEnabled() methods return true. Of course, ideally there is no one out there who actually created their own RuntimeLogger instance to use with UberspectLoggable.setRuntimeLogger() and this class will therefore never be used. But it's here just in case.

Since:
  1.5
Version:
  $Id: RuntimeLoggerLog.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Nathan Bubna

Constructor Summary
`RuntimeLoggerLog(RuntimeLogger rlog)` Deprecated. Creates a new Log that wraps a PrimordialLogChute.

Method Summary
`void` | `debug(Object message)` Deprecated. Log a debug message.
`void` | `debug(Object message, Throwable t)` Deprecated. Log a debug message and accompanying Throwable.
`void` | `error(Object message)` Deprecated. Log an error message.
`void` | `error(Object message, Throwable t)` Deprecated. Log an error message and accompanying Throwable.
`protected LogChute` | `getLogChute()` Deprecated. Returns the LogChute wrapped by this Log instance.
`boolean` | `getShowStackTraces()` Deprecated.
`void` | `info(Object message)` Deprecated. Log an info message.
`void` | `info(Object message, Throwable t)` Deprecated. Log an info message and accompanying Throwable.
`boolean` | `isDebugEnabled()` Deprecated. Returns true if debug level messages will be printed by the LogChute.
`boolean` | `isErrorEnabled()` Deprecated. Returns true if error level messages will be printed by the LogChute.
`boolean` | `isInfoEnabled()` Deprecated. Returns true if info level messages will be printed by the LogChute.
`boolean` | `isTraceEnabled()` Deprecated. Returns true if trace level messages will be printed by the LogChute.
`boolean` | `isWarnEnabled()` Deprecated. Returns true if warn level messages will be printed by the LogChute.
`protected void` | `setLogChute(LogChute newLogChute)` Deprecated. Updates the LogChute wrapped by this Log instance.
`protected void` | `setShowStackTraces(boolean showStacks)` Deprecated.
`void` | `trace(Object message)` Deprecated. Log a trace message.
`void` | `trace(Object message, Throwable t)` Deprecated. Log a trace message and accompanying Throwable.
`void` | `warn(Object message)` Deprecated. Log a warning message.
`void` | `warn(Object message, Throwable t)` Deprecated. Log a warning message and accompanying Throwable.

Methods inherited from class org.apache.velocity.runtime.log.Log
`formatFileString, formatFileString, formatFileString, formatFileString, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeLoggerLog

    public RuntimeLoggerLog(RuntimeLogger rlog)

  Deprecated.
  Creates a new Log that wraps a PrimordialLogChute.

Parameters:
  `rlog` -

Method Detail

### setLogChute

    protected void setLogChute(LogChute newLogChute)

  Deprecated.
  Description copied from class: `Log`
  Updates the LogChute wrapped by this Log instance.

  Overrides:
    `setLogChute` in class `Log`
  Parameters:
    `newLogChute` - The new value for the log chute.
  See Also:
    `Log.setLogChute(org.apache.velocity.runtime.log.LogChute)`

### getLogChute

    protected LogChute getLogChute()

  Deprecated.
  Description copied from class: `Log`
  Returns the LogChute wrapped by this Log instance.

  Overrides:
    `getLogChute` in class `Log`
  Returns:
    The LogChute wrapped by this Log instance.
  See Also:
    `Log.getLogChute()`

### setShowStackTraces

    protected void setShowStackTraces(boolean showStacks)

  Deprecated.
  Parameters:
    `showStacks` -

### getShowStackTraces

    public boolean getShowStackTraces()

  Deprecated.
  Returns:
    True if Stack traces should be shown.

### isTraceEnabled

    public boolean isTraceEnabled()

  Deprecated.
  Description copied from class: `Log`
  Returns true if trace level messages will be printed by the LogChute.

  Overrides:
    `isTraceEnabled` in class `Log`
  Returns:
    If trace level messages will be printed by the LogChute.
  See Also:
    `Log.isTraceEnabled()`

### trace

    public void trace(Object message)

  Deprecated.
  Description copied from class: `Log`
  Log a trace message.

  Overrides:
    `trace` in class `Log`
  Parameters:
    `message` -
  See Also:
    `Log.trace(java.lang.Object)`

### trace

    public void trace(Object message,
                      Throwable t)

  Deprecated.
  Description copied from class: `Log`
  Log a trace message and accompanying Throwable.

  Overrides:
    `trace` in class `Log`
  Parameters:
    `message` -
    `t` -
  See Also:
    `Log.trace(java.lang.Object, java.lang.Throwable)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Deprecated.
  Description copied from class: `Log`
  Returns true if debug level messages will be printed by the LogChute.

  Overrides:
    `isDebugEnabled` in class `Log`
  Returns:
    True if debug level messages will be printed by the LogChute.
  See Also:
    `Log.isDebugEnabled()`

### debug

    public void debug(Object message)

  Deprecated.
  Description copied from class: `Log`
  Log a debug message.

  Overrides:
    `debug` in class `Log`
  Parameters:
    `message` -
  See Also:
    `Log.debug(java.lang.Object)`

### debug

    public void debug(Object message,
                      Throwable t)

  Deprecated.
  Description copied from class: `Log`
  Log a debug message and accompanying Throwable.

  Overrides:
    `debug` in class `Log`
  Parameters:
    `message` -
    `t` -
  See Also:
    `Log.debug(java.lang.Object, java.lang.Throwable)`

### isInfoEnabled

    public boolean isInfoEnabled()

  Deprecated.
  Description copied from class: `Log`
  Returns true if info level messages will be printed by the LogChute.

  Overrides:
    `isInfoEnabled` in class `Log`
  Returns:
    True if info level messages will be printed by the LogChute.
  See Also:
    `Log.isInfoEnabled()`

### info

    public void info(Object message)

  Deprecated.
  Description copied from class: `Log`
  Log an info message.

  Overrides:
    `info` in class `Log`
  Parameters:
    `message` -
  See Also:
    `Log.info(java.lang.Object)`

### info

    public void info(Object message,
                     Throwable t)

  Deprecated.
  Description copied from class: `Log`
  Log an info message and accompanying Throwable.

  Overrides:
    `info` in class `Log`
  Parameters:
    `message` -
    `t` -
  See Also:
    `Log.info(java.lang.Object, java.lang.Throwable)`

### isWarnEnabled

    public boolean isWarnEnabled()

  Deprecated.
  Description copied from class: `Log`
  Returns true if warn level messages will be printed by the LogChute.

  Overrides:
    `isWarnEnabled` in class `Log`
  Returns:
    True if warn level messages will be printed by the LogChute.
  See Also:
    `Log.isWarnEnabled()`

### warn

    public void warn(Object message)

  Deprecated.
  Description copied from class: `Log`
  Log a warning message.

  Overrides:
    `warn` in class `Log`
  Parameters:
    `message` -
  See Also:
    `Log.warn(java.lang.Object)`

### warn

    public void warn(Object message,
                     Throwable t)

  Deprecated.
  Description copied from class: `Log`
  Log a warning message and accompanying Throwable.

  Overrides:
    `warn` in class `Log`
  Parameters:
    `message` -
    `t` -
  See Also:
    `Log.warn(java.lang.Object, java.lang.Throwable)`

### isErrorEnabled

    public boolean isErrorEnabled()

  Deprecated.
  Description copied from class: `Log`
  Returns true if error level messages will be printed by the LogChute.

  Overrides:
    `isErrorEnabled` in class `Log`
  Returns:
    True if error level messages will be printed by the LogChute.
  See Also:
    `Log.isErrorEnabled()`

### error

    public void error(Object message)

  Deprecated.
  Description copied from class: `Log`
  Log an error message.

  Overrides:
    `error` in class `Log`
  Parameters:
    `message` -
  See Also:
    `Log.error(java.lang.Object)`

### error

    public void error(Object message,
                      Throwable t)

  Deprecated.
  Description copied from class: `Log`
  Log an error message and accompanying Throwable.

  Overrides:
    `error` in class `Log`
  Parameters:
    `message` -
    `t` -
  See Also:
    `Log.error(java.lang.Object, java.lang.Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.